function [g,h] = gridplusrand(n,numrandomedges)
if nargin <2
    numrandomedges = 10;
end
g = graph; % this is an n by n grid with a few random edges thrown in
g = addnode(g, n*n);
h = graph; % these are highlighted edges
h = addnode(h, n*n);
for i = 1:n
    for j = 1:n
        if i < n
            g = addedge(g,i+n*(j-1), i+1 + n*(j-1),1);
        end
        if j < n
            g = addedge(g,i+n*(j-1), i + n*j,1);
        end
    end
end
random = randi(n*n, numrandomedges*2);
for k = 1:numrandomedges
    a = random(2*k-1);
    b = random(2*k);
    if findedge(g,a,b)==0
        g = addedge(g, a,b,1);
        h = addedge(h, a,b,1);
    end
end
end

