function [roadnet, hroadnet] = roadnet(n, width, length, starti, startj,deg)
roadnet = graph; % this is an n by n grid
roadnet = addnode(roadnet, n*n);
hroadnet = graph;
hroadnet = addnode(hroadnet, n*n);
for i = 1:n
    for j = 1:n

            if i < n
                roadnet = addedge(roadnet,i+n*(j-1), i+1 + n*(j-1));
            end
            if j < n
                roadnet = addedge(roadnet,i+n*(j-1), i + n*j);
            end
       
    end
end
if nargin <6
    length= ceil(n/5);
width = 5;
starti = ceil(n/10);
startj = ceil(n/10);
deg = 3;
end
for i = 1:n
    for j = 1:n
        if  (abs(i-starti) <width/2 && abs(j- startj - length/2)<length)
            for k = 1:deg
                addi = randi(width);
                addj = randi(length);
                a = i+n*(j-1);
                b = addi + starti - ceil(width/2) + n*(addj+ startj);
                if a ~=b
                    if findedge(roadnet,a,b)==0
                        roadnet = addedge(roadnet,a,b);
                        hroadnet = addedge(hroadnet,a,b);
                    end
                end
            end
        end
    end
end

delnodes = [];
for j = 1:n
    
    if randi(3)>1
        delnodes = [delnodes ceil(n/2)+n*(j-1)];
    end
    
end
roadnet = rmnode(roadnet, delnodes);
hroadnet = rmnode(hroadnet, delnodes);
bins = conncomp(roadnet);
comp = bins(5);
delnodes = [];
for i = 1:numnodes(roadnet)
    if bins(i)~=comp
        delnodes = [delnodes i];
    end
end
roadnet = rmnode(roadnet, delnodes);
hroadnet = rmnode(hroadnet, delnodes);
