function [Eigsmall,esmall] = smalle(ingraph)

A = adjacency(ingraph, 'weighted');
[n,m] = size(A);

weights = zeros(1,n);
for i=1:n
    weights = weights + A(i,:);
end

D = sparse(diag(weights));
L = D - A;
% L = laplacian(plotgraph);
% D = diag(diag(L));
Dsqrt = sqrtm(D);
dinv = inv(Dsqrt);

normL = sparse(dinv* L*dinv); tic;
noise = sparse(diag(1e-12*(randi(3,1,n)-2*ones(1,n)))); toc;tic;
normL = sparse(noise + normL); %add a small error term to make the matrix non-singular
toc;tic;
%Compute the largest and smallest eigenvalues
%[Eiglarge,elarge] = eigs(normL,3);
[Eigsmall,esmall] = eigs(normL,4,'sm');
Eigsmall = Dsqrt * Eigsmall;toc;
end